/* Create a shared object library libmymath.so or libmymath.dylib. */

#include "math.h"

double sinc(double x) {
    if (-.005 < x && x < .005) {
        return 1 - x*x*(1.0/6 + x*x/120);
    }
    else {
        return sin(x)/x;
    }
}